Pre-release — content may change.

Leaves

Update a leave

PATCH
/leaves/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

UUID of the leave.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Request body for updating a leave.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/leaves/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "leaves"    }  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "leaves",    "attributes": {      "starts_at": "2019-08-24T14:15:22Z",      "ends_at": "2019-08-24T14:15:22Z",      "type": "string",      "type_external_id": "string",      "active": true,      "status": "string"    },    "relationships": {      "person": {        "links": {          "self": "../dictionary",          "related": "../dictionary"        },        "data": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "type": "people"        }      }    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}